# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.95"
name = "cu29-intern-strs"
version = "1.0.0"
authors = ["Guillaume Binet <gbin@gootz.net>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "This is loader for the intern strings logged at build time by Copper. It can be used independently from the copper project."
homepage = "https://github.com/copper-project"
documentation = "https://docs.rs/cu29-intern-strs"
readme = "README.md"
keywords = [
    "robotics",
    "middleware",
    "copper",
    "real-time",
]
categories = ["science::robotics"]
license = "Apache-2.0"
repository = "https://github.com/copper-project/copper-rs"
resolver = "2"

[features]
macro_debug = []

[lib]
name = "cu29_intern_strs"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0"
default-features = false

[dependencies.bincode]
version = "2.0"
features = [
    "derive",
    "alloc",
    "std",
]
default-features = false
package = "cu-bincode"

[dependencies.fs2]
version = "0.4"
